<template>
    <v-row>
        <v-col>
            <h1>Nový pacient</h1>
            <v-divider />
            <v-form>
                <v-row>
                    <v-col cols="8">
                        <v-text-field v-model="jmeno" label="Jméno"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="adresa" label="Adresa"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="email" label="Email"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        <v-text-field v-model="telefon" label="Telefon"></v-text-field>
                    </v-col>
                    <v-col cols="8">
                        Datum narození<p />
                        <v-date-picker v-model="datumNarozeni" elevation="15" class="mt-4" :first-day-of-week="1" locale="cs-cz"></v-date-picker><p />
                    </v-col>
                </v-row>
                <v-row>
                    <v-col>
                        <v-btn right color="success" v-on:click="vytvorit">
                            <v-icon>mdi-check</v-icon>
                        </v-btn>
                    </v-col>
                </v-row>
            </v-form>
        </v-col>
    </v-row>
</template>

<script>
    export default {
        async mounted() {
        },
        methods: {
            vytvorit: async function (event) {
                const res = await this.$axios.post('/api/pacient', {
                    jmeno: this.jmeno,
                    adresa: this.adresa,
                    datumNarozeni: this.datumNarozeni,
                    email: this.email,
                    telefon: this.telefon
                });
                location.href = '/pacienti';
            }
        }
    }
</script>

